/*
 * $Id: AccountModel.java,v 1.5 2000/09/20 05:35:11 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.customer.account.model;

import java.rmi.RemoteException;

import com.sun.j2ee.blueprints.customer.util.ContactInformation;

/**
 * This class provides methods to view and modify account
 * information for a particular account.
 */
public class AccountModel implements java.io.Serializable {

    private String userId;
    private String status;
    private ContactInformation info;

    public AccountModel(String userId, String status,
                        ContactInformation info) {
        this.userId = userId;
        this.status = status;
        this.info = info;
    }

    // get and set methods for the instance variables

    public String getUserId() {
        return userId;
    }

    public String getStatus() {
        return status;
    }

    public boolean isLoggedIn() {
        return userId != null;
    }

    public ContactInformation getContactInformation() {
        return info;
    }

    public String toString() {
        String ret = null;
        ret = "userId = " + userId + "\n";
        ret += "status = " + status + "\n";
        ret += "contact info = " + info.toString() + "\n";
        return ret;
    }

    /** shallow copy */
    public void copy(AccountModel other) {
        this.userId = other.userId;
        this.status = other.status;
        this.info = other.info;
    }
}
